function hist = get_hist(image, target_sz)

%     hsv = rgb2hsv(image);
%     image = cat(3, image, uint8(hsv(:, :, 1) * 255));  % Add H channel
    
%    target_sz = round(target_sz);
    target_sz = [min(round(target_sz(1)), size(image, 1)), ...
                 min(round(target_sz(2)), size(image, 2))];
    patch = image((1:target_sz(1)) + floor((size(image, 1) - target_sz(1)) / 2), ...
                  (1:target_sz(2)) + floor((size(image, 2) - target_sz(2)) / 2), :);
    
    cn = size(image, 3);    % Number of channels
    hist = zeros(256, cn);
    for i = 1:cn
        hist(:, i) = imhist(patch(:, :, i));
        hist_image = imhist(image(:, :, i));
        nz_idx = (hist_image ~= 0);
        hist(nz_idx, i) = hist(nz_idx, i) ./ hist_image(nz_idx);
        %hist(:, i) = hist(:, i) ./ (hist_image + 0.1);
        %hist(nz_idx, i) = imfilter(hist(nz_idx, i), ...
        %                           fspecial('gaussian', [1, 7], 3));
    end
    
end
